# renovate

[![Build Status](https://drone.autonomic.zone/api/badges/autonomic-cooperative/renovate/status.svg)](https://drone.autonomic.zone/autonomic-cooperative/renovate)

> https://renovate.whitesourcesoftware.com

Renovate is running in a cron job in the swarm and scanning git repositories
specified in the [config.js](./configs/prod/config.js.tmpl) in order to
automatically submit pull requests for dependency upgrades. Renovate supports
[multiple languages and frameworks](https://docs.renovatebot.com) (see
"Language support"). This helps us keep our Docker file tags and Compose
versions update to date, amongst other things.

Configured according [to this guide](https://github.com/renovatebot/renovate/blob/master/docs/development/self-hosting.md).

See [autonomic-cooperative/swarm-cronjob](https://git.autonomic.zone/autonomic-cooperative/swarm-cronjob) for the swarm-based cron job configuration.
